> For the complete documentation index, see [llms.txt](https://docs.thryve.health/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thryve.health/further-resources/v5-api-reference/get-end-user-information.md).

# Get end user information

## Retrieve UserInformation for one or more users

> Retrieve basic, time-independent information about connected users, including biological data, connected sources, and devices.<br>

```json
{"openapi":"3.1.0","info":{"title":"Thryve API","version":"5.0.0"},"servers":[{"url":"https://api.thryve.de"}],"paths":{"/v5/userInformation":{"post":{"summary":"Retrieve UserInformation for one or more users","tags":["End User"],"description":"Retrieve basic, time-independent information about connected users, including biological data, connected sources, and devices.\n","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"},"description":"Basic Auth for your username:password. Required for all endpoints"},{"name":"AppAuthorization","in":"header","required":true,"schema":{"type":"string"},"description":"Basic Auth for your authID:authSecret. Required for all endpoints."}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UserInformationRetrievalRequest"}}}},"responses":{"200":{"description":"Request successful. Returns an array of UserInformation per user.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserInformationRetrievalResponseItem"}}}}},"400":{"description":"Error response (invalid parameters, unauthorized, etc.).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"UserInformationRetrievalRequest":{"type":"object","required":["authenticationToken"],"properties":{"authenticationToken":{"type":"string","description":"The unique identifier of a user in Thryve's system. Newer interfaces call this parameter endUserId."}}},"UserInformationRetrievalResponseItem":{"type":"object","properties":{"authenticationToken":{"type":"string","description":"The unique identifier of a user in Thryve's system. Newer interfaces call this parameter endUserId."},"partnerUserID":{"type":"string","description":"The optional alias set by the developer when creating a user. Newer interfaces call this parameter endUserAlias."},"height":{"type":"integer","description":"Height in cm, null if no value stored."},"weight":{"type":"number","format":"float","description":"Weight in kg, null if no value stored."},"birthdate":{"type":"string","format":"date","description":"Birthdate in YYYY-MM-DD format, null if not set."},"gender":{"type":"string","description":"Gender (male, female, genderless), null if not set."},"connectedSources":{"type":"array","items":{"type":"object","properties":{"dataSource":{"type":"integer","description":"ID of the connected data source (e.g., 1 for Fitbit)."},"connectedAt":{"type":"string","format":"date-time","description":"ISO timestamp when the source was connected."}}}},"devices":{"type":"array","items":{"type":"object","properties":{"dataSource":{"type":"integer","description":"ID of the data source for that device."},"deviceName":{"type":"string","description":"Name of the device model (e.g., Versa 3)."},"connectedAt":{"type":"string","format":"date-time","description":"ISO timestamp when the device was connected."},"configuration":{"type":"object","description":"Device-specific configuration object."}}}}}},"ErrorResponse":{"type":"string"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thryve.health/further-resources/v5-api-reference/get-end-user-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
